# FeeSettingsPreAmendmentFields | xrpl
Documentation for xrpl

# Interface FeeSettingsPreAmendmentFields

#### Hierarchy

- FeeSettingsPreAmendmentFields

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:9

#####
Index

### Properties

BaseFee
ReferenceFeeUnits
ReserveBase
ReserveIncrement

## Properties

### BaseFee

BaseFee: string

The transaction cost of the "reference transaction" in drops of XRP as hexadecimal.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:11

### ReferenceFeeUnits

ReferenceFeeUnits: number

The BaseFee translated into "fee units".

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:13

### ReserveBase

ReserveBase: number

The base reserve for an account in the XRP Ledger, as drops of XRP.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:15

### ReserveIncrement

ReserveIncrement: number

The incremental owner reserve for owning objects, as drops of XRP.

- Defined in packages/xrpl/src/models/ledger/FeeSettings.ts:17

Generated using TypeDoc